Agent Learning
The agent learning resource.
Base/agentLearning
GET
/agentLearningList agent learnings
Retrieve a paginated list of agent learnings. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GET/agentLearning
curl --request GET \
--url '<your-host>/agentLearning?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"companyId": "xyz789",
"kind": "string",
"subjectKind": "string",
"subjectId": "xyz789",
"subjectLabel": "string",
"relatedKind": "string",
"relatedId": "xyz789"
}
]GET
/agentLearningRetrieve a agent learning
Fetch a single agent learning by filtering on `id`.
Query parameters
idstringMatch on the agent learning's `id`, e.g. `eq.{id}`.
GET/agentLearning
curl --request GET \
--url '<your-host>/agentLearning?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"kind": "string",
"subjectKind": "string",
"subjectId": "xyz789",
"subjectLabel": "string",
"relatedKind": "string",
"relatedId": "xyz789"
}POST
/agentLearningCreate a agent learning
Create a new agent learning.
Body parameters
companyIdstringrequiredReferences company.id
kindstringrequiredsubjectKindstringrequiredsubjectIdstringrequiredsubjectLabelstringrequiredrelatedKindstringrequiredrelatedIdstringrequiredrelatedLabelstringrequiredtaughtAsstringrequiredforgottenAttimestampforgottenBystringReferences user.id
POST/agentLearning
curl --request POST \
--url <your-host>/agentLearning \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789","kind":"string","subjectKind":"string","subjectId":"xyz789","subjectLabel":"string","relatedKind":"string","relatedId":"xyz789","relatedLabel":"string","taughtAs":"string"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"kind": "string",
"subjectKind": "string",
"subjectId": "xyz789",
"subjectLabel": "string",
"relatedKind": "string",
"relatedId": "xyz789"
}PATCH
/agentLearningUpdate a agent learning
Update an existing agent learning, matched on `id`.
Body parameters
companyIdstringrequiredReferences company.id
kindstringrequiredsubjectKindstringrequiredsubjectIdstringrequiredsubjectLabelstringrequiredrelatedKindstringrequiredrelatedIdstringrequiredrelatedLabelstringrequiredtaughtAsstringrequiredforgottenAttimestampforgottenBystringReferences user.id
PATCH/agentLearning
curl --request PATCH \
--url '<your-host>/agentLearning?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"companyId":"xyz789"}'Response
{
"id": "abc123def456",
"companyId": "xyz789",
"kind": "string",
"subjectKind": "string",
"subjectId": "xyz789",
"subjectLabel": "string",
"relatedKind": "string",
"relatedId": "xyz789"
}DELETE
/agentLearningDelete a agent learning
Delete a agent learning, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the agent learning to delete, e.g. `eq.{id}`.
DELETE/agentLearning
curl --request DELETE \
--url '<your-host>/agentLearning?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'204 No Content